diff --git a/chrono/urls.py b/chrono/urls.py
index 9f44117..b97d165 100644
--- a/chrono/urls.py
+++ b/chrono/urls.py
@@ -19,17 +19,14 @@ from django.conf.urls import include, url
 from django.conf.urls.static import static
 from django.contrib.staticfiles.urls import staticfiles_urlpatterns
 
-from .urls_utils import decorated_includes, manager_required
-
-from .views import homepage, LoginView, LogoutView
 from .api.urls import urlpatterns as chrono_api_urls
 from .manager.urls import urlpatterns as chrono_manager_urls
-
+from .urls_utils import decorated_includes, manager_required
+from .views import LoginView, LogoutView, homepage
 
 urlpatterns = [
     url(r'^$', homepage, name='home'),
-    url(r'^manage/', decorated_includes(manager_required,
-        include(chrono_manager_urls))),
+    url(r'^manage/', decorated_includes(manager_required, include(chrono_manager_urls))),
     url(r'^api/', include(chrono_api_urls)),
     url(r'^logout/$', LogoutView.as_view(), name='auth_logout'),
     url(r'^login/$', LoginView.as_view(), name='auth_login'),
diff --git a/chrono/views.py b/chrono/views.py
index 56333b5..2ce6833 100644
--- a/chrono/views.py
+++ b/chrono/views.py
@@ -23,7 +23,6 @@ from django.shortcuts import resolve_url
 from django.utils.decorators import method_decorator
 from django.views.decorators.cache import never_cache
 
-
 if 'mellon' in settings.INSTALLED_APPS:
     from mellon.utils import get_idps
 else:
@@ -35,8 +34,9 @@ class LoginView(auth_views.LoginView):
         if any(get_idps()):
             if not 'next' in request.GET:
                 return HttpResponseRedirect(resolve_url('mellon_login'))
-            return HttpResponseRedirect(resolve_url('mellon_login') + '?next='
-                                        + quote(request.GET.get('next')))
+            return HttpResponseRedirect(
+                resolve_url('mellon_login') + '?next=' + quote(request.GET.get('next'))
+            )
         return super(LoginView, self).get(request, *args, **kwargs)
 
 
diff --git a/tests/test_agendas.py b/tests/test_agendas.py
index 820d8a2..115bc52 100644
--- a/tests/test_agendas.py
+++ b/tests/test_agendas.py
@@ -1,17 +1,14 @@
-import pytest
 import datetime
-import mock
 import re
-import requests
-
 
-from django.utils.timezone import now, make_aware, localtime
+import mock
+import pytest
+import requests
 from django.contrib.auth.models import Group
 from django.core.management import call_command
-from django.core.management.base import CommandError
+from django.utils.timezone import localtime, make_aware, now
 
-from chrono.agendas.models import (Agenda, Event, Booking, MeetingType,
-                        Desk, TimePeriod, TimePeriodException, ICSError)
+from chrono.agendas.models import Agenda, Booking, Desk, Event, ICSError, MeetingType, TimePeriodException
 
 pytestmark = pytest.mark.django_db
 
@@ -154,6 +151,7 @@ def test_event_manager():
     booking.save()
     assert Event.objects.all()[0].booked_places == 0
 
+
 def test_event_bookable_period():
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
@@ -179,6 +177,7 @@ def test_event_bookable_period():
     event.save()
     assert event.in_bookable_period() is False
 
+
 def test_meeting_type_slugs():
     agenda1 = Agenda(label=u'Foo bar')
     agenda1.save()
@@ -197,6 +196,7 @@ def test_meeting_type_slugs():
     meeting_type3.save()
     assert meeting_type3.slug == 'baz'
 
+
 def test_timeperiodexception_creation_from_ics():
     agenda = Agenda(label=u'Test 1 agenda')
     agenda.save()
@@ -206,6 +206,7 @@ def test_timeperiodexception_creation_from_ics():
     assert exceptions_count == 2
     assert TimePeriodException.objects.filter(desk=desk).count() == 2
 
+
 def test_timeperiodexception_creation_from_ics_without_startdt():
     agenda = Agenda(label=u'Test 2 agenda')
     agenda.save()
@@ -222,6 +223,7 @@ def test_timeperiodexception_creation_from_ics_without_startdt():
         exceptions_count = desk.create_timeperiod_exceptions_from_ics(ics_sample)
     assert 'Event "Event 1" has no start date.' == str(e.value)
 
+
 def test_timeperiodexception_creation_from_ics_without_enddt():
     agenda = Agenda(label=u'Test 3 agenda')
     agenda.save()
@@ -248,14 +250,17 @@ def test_timeperiodexception_creation_from_ics_with_recurrences():
     desk.save()
     assert desk.create_timeperiod_exceptions_from_ics(ICS_SAMPLE_WITH_RECURRENT_EVENT) == 3
     assert TimePeriodException.objects.filter(desk=desk).count() == 3
-    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set([
-        make_aware(datetime.datetime(2018, 1, 1)), make_aware(datetime.datetime(2019, 1, 1))])
+    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set(
+        [make_aware(datetime.datetime(2018, 1, 1)), make_aware(datetime.datetime(2019, 1, 1))]
+    )
     assert desk.create_timeperiod_exceptions_from_ics(ICS_SAMPLE_WITH_RECURRENT_EVENT) == 0
     # verify occurences are cleaned when count changed
     assert desk.create_timeperiod_exceptions_from_ics(ICS_SAMPLE_WITH_RECURRENT_EVENT_2) == 0
     assert TimePeriodException.objects.filter(desk=desk).count() == 2
-    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set([
-        make_aware(datetime.datetime(2018, 1, 1)), make_aware(datetime.datetime(2018, 1, 2))])
+    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set(
+        [make_aware(datetime.datetime(2018, 1, 1)), make_aware(datetime.datetime(2018, 1, 2))]
+    )
+
 
 def test_timeexception_creation_from_ics_with_dates():
     agenda = Agenda(label=u'Test 5 agenda')
@@ -275,6 +280,7 @@ def test_timeexception_creation_from_ics_with_dates():
         assert localtime(exception.start_datetime) == make_aware(datetime.datetime(2018, 1, 1, 0, 0))
         assert localtime(exception.end_datetime) == make_aware(datetime.datetime(2018, 1, 1, 0, 0))
 
+
 def test_timeexception_create_from_invalid_ics():
     agenda = Agenda(label=u'Test 6 agenda')
     agenda.save()
@@ -284,6 +290,7 @@ def test_timeexception_create_from_invalid_ics():
         exceptions_count = desk.create_timeperiod_exceptions_from_ics(INVALID_ICS_SAMPLE)
     assert str(e.value) == 'File format is invalid.'
 
+
 def test_timeexception_create_from_ics_with_no_events():
     agenda = Agenda(label=u'Test 7 agenda')
     agenda.save()
@@ -293,6 +300,7 @@ def test_timeexception_create_from_ics_with_no_events():
         exceptions_count = desk.create_timeperiod_exceptions_from_ics(ICS_SAMPLE_WITH_NO_EVENTS)
     assert str(e.value) == "The file doesn't contain any events."
 
+
 @mock.patch('chrono.agendas.models.requests.get')
 def test_timeperiodexception_creation_from_remote_ics(mocked_get):
     agenda = Agenda(label=u'Test 8 agenda')
@@ -316,6 +324,7 @@ def test_timeperiodexception_creation_from_remote_ics(mocked_get):
     assert exceptions_count == 0
     TimePeriodException.objects.filter(external_id='desk-%s:' % desk.id).count() == 0
 
+
 @mock.patch('chrono.agendas.models.requests.get')
 def test_timeperiodexception_creation_from_unreachable_remote_ics(mocked_get):
     agenda = Agenda(label=u'Test 9 agenda')
@@ -325,13 +334,16 @@ def test_timeperiodexception_creation_from_unreachable_remote_ics(mocked_get):
     mocked_response = mock.Mock()
     mocked_response.text = ICS_SAMPLE
     mocked_get.return_value = mocked_response
+
     def mocked_requests_connection_error(*args, **kwargs):
         raise requests.ConnectionError('unreachable')
+
     mocked_get.side_effect = mocked_requests_connection_error
     with pytest.raises(ICSError) as e:
         exceptions_count = desk.create_timeperiod_exceptions_from_remote_ics('http://example.com/sample.ics')
     assert str(e.value) == "Failed to retrieve remote calendar (http://example.com/sample.ics, unreachable)."
 
+
 @mock.patch('chrono.agendas.models.requests.get')
 def test_timeperiodexception_creation_from_forbidden_remote_ics(mocked_get):
     agenda = Agenda(label=u'Test 10 agenda')
@@ -341,35 +353,50 @@ def test_timeperiodexception_creation_from_forbidden_remote_ics(mocked_get):
     mocked_response = mock.Mock()
     mocked_response.status_code = 403
     mocked_get.return_value = mocked_response
+
     def mocked_requests_http_forbidden_error(*args, **kwargs):
         raise requests.HTTPError(response=mocked_response)
+
     mocked_get.side_effect = mocked_requests_http_forbidden_error
 
     with pytest.raises(ICSError) as e:
         exceptions_count = desk.create_timeperiod_exceptions_from_remote_ics('http://example.com/sample.ics')
-    assert str(e.value) == "Failed to retrieve remote calendar (http://example.com/sample.ics, HTTP error 403)."
+    assert (
+        str(e.value) == "Failed to retrieve remote calendar (http://example.com/sample.ics, HTTP error 403)."
+    )
+
 
 @mock.patch('chrono.agendas.models.requests.get')
 def test_sync_desks_timeperiod_exceptions_from_ics(mocked_get, capsys):
     agenda = Agenda(label=u'Test 11 agenda')
     agenda.save()
-    desk = Desk(label='Test 11 desk', agenda=agenda, timeperiod_exceptions_remote_url='http://example.com/sample.ics')
+    desk = Desk(
+        label='Test 11 desk', agenda=agenda, timeperiod_exceptions_remote_url='http://example.com/sample.ics'
+    )
     desk.save()
     mocked_response = mock.Mock()
     mocked_response.status_code = 403
     mocked_get.return_value = mocked_response
+
     def mocked_requests_http_forbidden_error(*args, **kwargs):
         raise requests.HTTPError(response=mocked_response)
+
     mocked_get.side_effect = mocked_requests_http_forbidden_error
     call_command('sync_desks_timeperiod_exceptions')
     out, err = capsys.readouterr()
-    assert err == 'unable to create timeperiod exceptions for "Test 11 desk": Failed to retrieve remote calendar (http://example.com/sample.ics, HTTP error 403).\n'
+    assert (
+        err
+        == 'unable to create timeperiod exceptions for "Test 11 desk": Failed to retrieve remote calendar (http://example.com/sample.ics, HTTP error 403).\n'
+    )
+
 
 @mock.patch('chrono.agendas.models.requests.get')
 def test_sync_desks_timeperiod_exceptions_from_changing_ics(mocked_get, caplog):
     agenda = Agenda(label=u'Test 11 agenda')
     agenda.save()
-    desk = Desk(label='Test 11 desk', agenda=agenda, timeperiod_exceptions_remote_url='http:example.com/sample.ics')
+    desk = Desk(
+        label='Test 11 desk', agenda=agenda, timeperiod_exceptions_remote_url='http:example.com/sample.ics'
+    )
     desk.save()
     mocked_response = mock.Mock()
     mocked_response.text = ICS_SAMPLE
@@ -397,6 +424,7 @@ END:VCALENDAR"""
     call_command('sync_desks_timeperiod_exceptions')
     assert not TimePeriodException.objects.filter(desk=desk).exists()
 
+
 def test_base_meeting_duration():
     agenda = Agenda(label='Meeting', kind='meetings')
     agenda.save()
@@ -427,14 +455,18 @@ def test_timeperiodexception_creation_from_ics_with_duration():
     exceptions_count = desk.create_timeperiod_exceptions_from_ics(ICS_SAMPLE_WITH_DURATION)
     assert exceptions_count == 2
     assert TimePeriodException.objects.filter(desk=desk).count() == 2
-    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set([
-        make_aware(datetime.datetime(2017, 8, 31, 19, 8, 0)),
-        make_aware(datetime.datetime(2017, 8, 30, 20, 8, 0)),
-    ])
-    assert set(TimePeriodException.objects.values_list('end_datetime', flat=True)) == set([
-        make_aware(datetime.datetime(2017, 8, 31, 22, 34, 0)),
-        make_aware(datetime.datetime(2017, 9, 1, 0, 34, 0)),
-    ])
+    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set(
+        [
+            make_aware(datetime.datetime(2017, 8, 31, 19, 8, 0)),
+            make_aware(datetime.datetime(2017, 8, 30, 20, 8, 0)),
+        ]
+    )
+    assert set(TimePeriodException.objects.values_list('end_datetime', flat=True)) == set(
+        [
+            make_aware(datetime.datetime(2017, 8, 31, 22, 34, 0)),
+            make_aware(datetime.datetime(2017, 9, 1, 0, 34, 0)),
+        ]
+    )
 
 
 @pytest.mark.freeze_time('2017-12-01')
@@ -447,8 +479,9 @@ def test_timeperiodexception_creation_from_ics_with_recurrences_in_the_past():
     desk.save()
     assert desk.create_timeperiod_exceptions_from_ics(ICS_SAMPLE_WITH_RECURRENT_EVENT_IN_THE_PAST) == 2
     assert TimePeriodException.objects.filter(desk=desk).count() == 2
-    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set([
-        make_aware(datetime.datetime(2018, 1, 1)), make_aware(datetime.datetime(2019, 1, 1))])
+    assert set(TimePeriodException.objects.values_list('start_datetime', flat=True)) == set(
+        [make_aware(datetime.datetime(2018, 1, 1)), make_aware(datetime.datetime(2019, 1, 1))]
+    )
     assert desk.create_timeperiod_exceptions_from_ics(ICS_SAMPLE_WITH_RECURRENT_EVENT_IN_THE_PAST) == 0
 
 
